# Function standardBlockDispatch

- standardBlockDispatch(
  viewname: any,
  state: any,
  table: any,
  extra: any,
  row: any,
  ): {
  action(segment: any): object | "";
  aggregation(column: any): string;
  blank(segment: any): any;
  field(
  __namedParameters: {
  click_to_edit: any;
  configuration: any;
  field_name: any;
  fieldview: any;
  },
  ): any;
  join_field(jf: any): string;
  tabs(segment: any, go: any): any;
  view_link(view: any): any;
  }

  #### Parameters

  - viewname: any
  - state: any
  - table: any
  - extra: any
  - row: any

  #### Returns {
  action(segment: any): object | "";
  aggregation(column: any): string;
  blank(segment: any): any;
  field(
  __namedParameters: {
  click_to_edit: any;
  configuration: any;
  field_name: any;
  fieldview: any;
  },
  ): any;
  join_field(jf: any): string;
  tabs(segment: any, go: any): any;
  view_link(view: any): any;
  }

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:1616